Summary: Finds files on a system via a central database.
Name: slocate
Version: 2.4
Release: 1
Copyright: GPL
Group: Applications/File
Source: ftp://ftp.mkintraweb.com/pub/linux/slocate/slocate-%{version}.tar.gz
Source1: slocate.cron
Source2: updatedb.conf
Patch0: slocate-info.patch
Patch2: slocate-wht.patch
Patch3: slocate-2.4-blarg.patch
Prereq: shadow-utils
Buildroot: %{_tmppath}/%{name}-root

%description
Slocate is a security-enhanced version of locate. Just like locate,
slocate searches through a central database (which is updated nightly)
for files which match a given pattern. Slocate allows you to quickly
find files anywhere on your system.

%prep
%setup -q
%patch0 -p1 -b .info
%patch2 -p1 -b .wht
%patch3 -p1 -b .blarg

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/lib/slocate
install slocate $RPM_BUILD_ROOT/usr/bin
ln -sf slocate $RPM_BUILD_ROOT/usr/bin/locate
install slocate.1.linux $RPM_BUILD_ROOT%{_mandir}/man1/slocate.1
install updatedb.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf slocate.1 $RPM_BUILD_ROOT%{_mandir}/man1/locate.1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily
ln -sf slocate $RPM_BUILD_ROOT/usr/bin/updatedb

install %{SOURCE2} $RPM_BUILD_ROOT/etc/

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 21 -r -f slocate

%preun
if [ "$1" = "0" ]; then 
  /usr/sbin/groupdel slocate
  rm -f /var/lib/slocate/slocate.db
fi


%files
%defattr(-,root,root)
%doc CHANGES INSTALL README LICENSE MIRRORS
%attr(2755,root,slocate) /usr/bin/slocate
%attr(-,root,slocate) /usr/bin/locate
%attr(-,root,slocate) /usr/bin/updatedb
%attr(644,root,root) %{_mandir}/man1/*
%attr(755,root,root) /etc/cron.daily/slocate.cron
%attr(644,root,root) %config /etc/updatedb.conf
%dir %attr(750,root,slocate) /var/lib/slocate

%changelog
* Mon Dec 18 2000 Bill Nottingham <notting@redhat.com>
- update to the mysterious 2.4 release

* Mon Nov 27 2000 Bill Nottingham <notting@redhat.com>
- update to 2.3; fixes database reading problem

* Wed Aug 23 2000 Than Ngo <than@redhat.com>
- add a default updatedb.conf (Bug #13475)

* Wed Aug 23 2000 Jakub Jelinek <jakub@redhat.com>
- fix build with glibc defining DT_WHT but not defining S_IFWHT.

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't print a message telling how to rebuild the database if we're
  rebuilding the database

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- update to 2.2
- fix it to not have debugging (oops)

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS manpages, etc.

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- simplify preun

* Fri Mar 17 2000 Bill Nottingham <notting@redhat.com>
- fix a segfault

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Tue Oct 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- fix a bug that was causing segfaults.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- remove group database on final uninstall

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- add a note about creating the database if opening of it fails.

* Tue Jul  6 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0
- use new -f (filesystem type) option to simplify cron script
- link updatedb back to slocate to allow parsing of updatedb.conf
  config files

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- don't exclude VFAT partitions
- add some docs

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.6.
- use /etc/cron.daily as /usr/bin/updatedb to more perfectly imitate the
  findutils updatedb.
- exclude vfat partitions too (#3164).

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.5
- make database dir 0750

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- fix updatedb cron script

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- add updatedb as a link to slocate
- add an updatedb man page

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre 
